org.jfree.report.modules.gui.swing.pdf

## Class PdfExportDialog

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - javax.swing.JDialog
          - - org.jfree.report.modules.gui.swing.common.AbstractExportDialog
            - - org.jfree.report.modules.gui.swing.pdf.PdfExportDialog

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants, ExportDialog

      public class PdfExportDialog
      extends AbstractExportDialog

  Creation-Date: 02.12.2006, 15:27:30
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JDialog

      `javax.swing.JDialog.AccessibleJDialog`

    - ### Nested classes/interfaces inherited from class java.awt.Dialog

      `java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JDialog

      `accessibleContext, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Dialog

      `DEFAULT_MODALITY_TYPE`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfExportDialog()` Creates a non-modal dialog without a title and without a specified `Frame` owner.
    `PdfExportDialog(java.awt.Dialog owner)` Creates a non-modal dialog without a title with the specified `Dialog` as its owner.
    `PdfExportDialog(java.awt.Frame owner)` Creates a non-modal dialog without a title with the specified `Frame` as its owner.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `protected java.lang.String` | `getConfigurationPrefix()`
    `protected java.lang.String` | `getConfigurationSuffix()`
    `java.lang.String` | `getEncryptionValue()` Queries the currently selected encryption.
    `java.lang.String` | `getPrintLevel()`
    `protected java.lang.String` | `getResourceBaseName()`
    `JStatusBar` | `getStatusBar()`
    `protected org.pentaho.reporting.libraries.base.config.Configuration` | `grabDialogContents(boolean full)` Returns a new (and not connected to the default config from the job) configuration containing all properties from the dialog.
    `protected void` | `initializeFromJob(ReportJob job, GuiContext guiContext)`
    `protected boolean` | `performConfirm()`
    `protected void` | `performSelectFile()` selects a file to use as target for the report processing.
    `protected boolean` | `performValidate()`
    `protected void` | `setDialogContents(org.pentaho.reporting.libraries.base.config.Configuration config)`
    `void` | `setEncryptionValue(java.lang.String b)` Defines the currently selected encryption.
    `void` | `setPrintLevel(java.lang.String printLevel)` Defines whether the user is allowed to print the file.
    `protected void` | `updateSecurityPanelEnabled()` Updates the security panel state.

    - ### Methods inherited from class org.jfree.report.modules.gui.swing.common.AbstractExportDialog

      `getCancelAction, getConfirmAction, getFormValidator, getGuiContext, getReportJob, getResources, isConfirmed, isFullInputStorageEnabled, isInputStorageEnabled, performQueryForExport, resolvePath, setCancelAction, setConfirmAction, setConfirmed`

    - ### Methods inherited from class javax.swing.JDialog

      `addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Dialog

      `addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PdfExportDialog

          public PdfExportDialog()

      Creates a non-modal dialog without a title and without a specified `Frame` owner. A shared, hidden frame will be set as the owner of the dialog.

    - #### PdfExportDialog

          public PdfExportDialog(java.awt.Frame owner)

      Creates a non-modal dialog without a title with the specified `Frame` as its owner. If `owner` is `null`, a shared, hidden frame will be set as the owner of the dialog.
      Parameters:
        `owner` - the `Frame` from which the dialog is displayed

    - #### PdfExportDialog

          public PdfExportDialog(java.awt.Dialog owner)

      Creates a non-modal dialog without a title with the specified `Dialog` as its owner.
      Parameters:
        `owner` - the non-null `Dialog` from which the dialog is displayed

  - ### Method Detail

    - #### getStatusBar

          public JStatusBar getStatusBar()

      Specified by:
        `getStatusBar` in class `AbstractExportDialog`

    - #### performConfirm

          protected boolean performConfirm()

      Overrides:
        `performConfirm` in class `AbstractExportDialog`

    - #### performValidate

          protected boolean performValidate()

      Specified by:
        `performValidate` in class `AbstractExportDialog`

    - #### initializeFromJob

          protected void initializeFromJob(ReportJob job,
                                           GuiContext guiContext)

      Specified by:
        `initializeFromJob` in class `AbstractExportDialog`

    - #### getConfigurationPrefix

          protected java.lang.String getConfigurationPrefix()

      Specified by:
        `getConfigurationPrefix` in class `AbstractExportDialog`

    - #### grabDialogContents

          protected org.pentaho.reporting.libraries.base.config.Configuration grabDialogContents(boolean full)

      Returns a new (and not connected to the default config from the job) configuration containing all properties from the dialog.
      Specified by:
        `grabDialogContents` in class `AbstractExportDialog`
      Parameters:
        `full` -
      Returns:

    - #### setDialogContents

          protected void setDialogContents(org.pentaho.reporting.libraries.base.config.Configuration config)

      Specified by:
        `setDialogContents` in class `AbstractExportDialog`

    - #### getConfigurationSuffix

          protected java.lang.String getConfigurationSuffix()

      Specified by:
        `getConfigurationSuffix` in class `AbstractExportDialog`

    - #### clear

          public void clear()

      Specified by:
        `clear` in class `AbstractExportDialog`

    - #### getResourceBaseName

          protected java.lang.String getResourceBaseName()

      Specified by:
        `getResourceBaseName` in class `AbstractExportDialog`

    - #### updateSecurityPanelEnabled

          protected void updateSecurityPanelEnabled()

      Updates the security panel state. If no encryption is selected, all security setting components will be disabled.

    - #### performSelectFile

          protected void performSelectFile()

      selects a file to use as target for the report processing.

    - #### setPrintLevel

          public void setPrintLevel(java.lang.String printLevel)

      Defines whether the user is allowed to print the file. If this right is granted, the user is also able to print a degraded version of the file, regardless of the `allowDegradedPrinting</code< property. If you disabled printing but enabled degraded printing, then the user is able to print a low-quality version of the document.</div>`

    - #### getPrintLevel

          public java.lang.String getPrintLevel()

    - #### getEncryptionValue

          public java.lang.String getEncryptionValue()

      Queries the currently selected encryption. If an encryption is selected this method returns either Boolean.TRUE or Boolean.FALSE, when no encryption is set, `null` is returned. If no encryption is set, the security properties have no defined state.
      Returns:
        the selection state for the encryption. If no encryption is set, this method returns null, if 40-bit encryption is set, the method returns Boolean.FALSE and on 128-Bit-encryption, Boolean.TRUE is returned.

    - #### setEncryptionValue

          public void setEncryptionValue(java.lang.String b)

      Defines the currently selected encryption.
      Parameters:
        `b` - the new encryption state, one of null, Boolean.TRUE or Boolean.FALSE